Update defaults for Python 3 apps on Heroku

Also update our documentation and CHANGELOG for this version of the
buildpack.
parent 9a3c1fab
# Python Buildpack Changelog
# 136
Upgrade to 3.6.6 and support 3.7.0 on all runtimes.
# 135
Upgrade Pipenv to v2018.5.18.
......
......@@ -23,7 +23,7 @@ Deploying a Python application couldn't be easier:
$ git push heroku master
-----> Python app detected
-----> Installing python-3.6.5
-----> Installing python-3.6.6
-----> Installing pip
-----> Installing requirements with Pipenv 2018.5.18…
...
......@@ -58,5 +58,6 @@ Or, with a `runtime.txt` file:
Runtime options include:
- `python-3.6.5`
- `python-3.7.0`
- `python-3.6.6`
- `python-2.7.15`
......@@ -49,8 +49,8 @@ export VENDOR_URL
# These variables are used to specify which versions of Python to install by default,
# as well as prompt the user to upgrade if they are using an un–supported version.
# Note: When 3.7 lands, I recommend switching to LATEST_36 and LATEST_37.
DEFAULT_PYTHON_VERSION="python-3.6.5"
LATEST_3="python-3.6.5"
DEFAULT_PYTHON_VERSION="python-3.6.6"
LATEST_3="python-3.6.6"
LATEST_2="python-2.7.15"
# Which stack is used (for binary downloading), if none is provided (e.g. outside of Heroku)?
......
......@@ -12,7 +12,7 @@ testPipenvLock() {
testPipenvVersion() {
compile "pipenv-version"
assertCaptured "3.6.5"
assertCaptured "3.6.6"
assertCapturedSuccess
}
......@@ -83,7 +83,7 @@ testPython2() {
testPython3() {
compile "python3"
assertCaptured "python-3.6.5"
assertCaptured "python-3.6.6"
assertCapturedSuccess
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment